#
# Run this script once and you are all set!
#

use strict;
use File::Path;
use File::Basename;
require './jcode.pl';

my $install_dir = "";

for my $INC (@INC){
    if ($INC =~ /site/io){
	$install_dir = $INC;
	last;
    }
}

unless ($install_dir) {
    die qq(Please create 'site/lib' folder in ActivePerl folder!\n);
}else{
    warn "Ok. I'll install files in $install_dir folder.\n";
}

my @files = qw(
	       );

# push all files in ExJPTerm directory;

require "find.pl";
chdir '../';
&find('TermExtract');

sub wanted {
    no strict "vars";
    my ($dev,$ino,$mode,$nlink,$uid,$gid) = lstat($_);
    return unless -f _;
    push @files, $name;
}


for my $file (@files) {
    my $src = $file;
    open SRC, $src or die "$src:$!";

    my $dst = $install_dir . "/" . $file;
    # $dst =~ s/:://og;
    warn "Installing $src to $dst.\n";

    my $dir = dirname($dst);
    mkpath([$dir], 0755, 1) or die "$dir:$!" unless -d $dir;
    open DST, ">$dst" or die "$dst:$!";

    while(defined ($_ = <SRC>)){
        chomp $_;
        &jcode'convert(*_, 'sjis', 'euc');
	print DST $_, "\n";
    }

    close SRC; close DST;
    # MacPerl::SetFileInfo('McPL', 'TEXT', $dst);

}

warn "All scripts are installed successfully\n";

__END__
